View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000456Ecere SDKide:debuggerpublic2010-07-26 03:122014-05-19 01:32
Reporterredj 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000456: memory leaks in debugger
Descriptionide: debugger: watches: memory leaks on watches
fix memory leaks on watches if they exist? probably.
and any other leaks
Additional InformationObject of class Identifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkIdentifier
Object of class Type
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/ast.ec:ProcessType
      src/ast.ec:ProcessTypeDecls
      src/ast.ec:ProcessTypeSpecs
Object of class Identifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkIdentifier
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ExternalActivate
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/gui/controls/ListBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__ListBox_OnActivate
      src/gui/controls/ListBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__ListBox_HideEditBox
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Type
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass15.ec:ComputeDataTypes
      src/pass15.ec:ProcessFunction
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Specifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/ast.ec:ParseEc
      src/grammar.ec:yyparse
      src/ast.ec:MkSpecifier
Object of class Specifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/ast.ec:ParseEc
      src/grammar.ec:yyparse
      src/ast.ec:MkSpecifierName
      src/ast.ec:_MkSpecifierName
Object of class Declarator
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass0.ec:PreProcessClassDefinitions
      src/pass0.ec:ProcessClass
      src/ast.ec:MkDeclaratorFunction
Object of class Type
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass15.ec:ComputeDataTypes
      src/pass15.ec:ProcessClass
      src/pass15.ec:ProcessFunction
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
Object of class Type
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass15.ec:ComputeDataTypes
      src/pass15.ec:ProcessClass
      src/pass15.ec:ProcessFunction
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessStatement
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ProcessExpressionType
      src/pass15.ec:ResolveIdWithClass
      src/ast.ec:ProcessTypeString
      src/ast.ec:ProcessType
      src/ast.ec:ProcessTypeDecls
      src/ast.ec:ProcessTypeSpecs
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Identifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkIdentifier
Object of class Identifier
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkIdentifier
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/EditBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__EditBox_OnKeyDown
      src/panels/CallStackView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__EditBox_NotifyKeyDown__00000001
      src/ide.ec:__ecereInstMeth_CallStackView_OnSelectFrame__00000009
      src/debugger/Debugger.ec:__ecereMethod_Debugger_SelectFrame
      src/debugger/Debugger.ec:__ecereMethod_Debugger_EvaluateWatches
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/pass15.ec:ParseExpressionString
      src/expression.ec:expression_yyparse
      src/ast.ec:MkExpConstant
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
Object of class Type
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass16.ec:ProcessInstantiations
      src/ast.ec:MkClassTypeSymbol
Object of class Symbol
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_UpdateTimers
      src/debugger/Debugger.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__Timer_DelayExpired__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_GoToStackFrameLine
      src/ide.ec:__ecereMethod_IDEWorkSpace_OpenFile
      src/gui/Window.ec:__ecereProp___ecereNameSpace__ecere__gui__Window_Set_visible
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_ActivateEx
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_PropagateActive
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_OnActivate
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_UpdateFormCode
      src/designer/CodeEditor.ec:__ecereMethod_CodeEditor_ParseCode
      src/pass16.ec:ProcessInstantiations
Object of class Expression
   Allocation Stack:
      obj/memoryGuard.win32/ide.main.ec:main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_Main
      src/gui/GuiApplication.ec:__ecereMethod___ecereNameSpace__ecere__gui__GuiApplication_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessInput
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow
      src/gui/drivers/Win32Interface.ec:__ecereMethod___ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/Window.ec:__ecereMethod___ecereNameSpace__ecere__gui__Window_KeyMessage
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown__00000004
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_OnKeyDown
      src/gui/controls/DataBox.ec:__ecereMethod___ecereNameSpace__ecere__gui__controls__DataBox_SaveData
      src/gui/controls/ListBox.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__DataBox_NotifyChanged__00000002
      src/panels/WatchesView.ec:__ecereInstMeth___ecereNameSpace__ecere__gui__controls__ListBox_NotifyChanged__00000000
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ChangeWatch
      src/debugger/Debugger.ec:__ecereMethod_Debugger_ResolveWatch
      src/debugger/debugTools.ec:DebugComputeExpression
      src/ast.ec:MkExpConstant
144 Memory Leaks Detected (84 objects, 53852 bytes).
Memory Check Completed.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000154closedjerome The IDE Leaks a lot 

-  Notes
(0001262)
jerome (administrator)
2014-05-04 00:25

Fixed by:
https://github.com/ecere/ecere-sdk/commit/33c5435e63e0e3373d4a94726daa2e57154bd60c [^]

- Issue History
Date Modified Username Field Change
2010-07-26 03:12 redj New Issue
2010-07-26 12:02 jerome Relationship added related to 0000154
2011-09-10 20:13 jerome Priority normal => immediate
2012-03-08 16:52 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-04-24 04:26 redj Category ide => ide:debugger
2013-04-24 04:26 redj Summary ide: debugger: watches: memory leaks on watches => memory leaks
2013-04-24 04:26 redj Description Updated
2013-04-24 04:26 redj Summary memory leaks => memory leaks in debugger
2013-04-24 05:09 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-07-02 21:55 jerome Status new => assigned
2013-07-02 21:55 jerome Assigned To => jerome
2013-08-07 02:33 jerome Target Version 0.44.10 64 => 0.44.08
2013-08-09 10:54 jerome Target Version 0.44.08 => 0.44.10 64
2013-08-16 18:46 jerome Target Version 0.44.10 64 => 0.44.09
2013-08-25 19:26 jerome Target Version 0.44.09 => 0.44.10 64
2014-04-28 08:50 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-04-28 08:50 jerome Additional Information Updated
2014-05-04 00:25 jerome Status assigned => resolved
2014-05-04 00:25 jerome Fixed in Version => 0.44.10 64
2014-05-04 00:25 jerome Resolution open => fixed
2014-05-04 00:25 jerome Note Added: 0001262
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker